com.io7m.jstructural.annotated

## Class SAParagraphNumberSP

- java.lang.Object
- - com.io7m.jstructural.annotated.SAParagraphNumber
  - - com.io7m.jstructural.annotated.SAParagraphNumberSP

- All Implemented Interfaces:
    SASubsectionContentNumber, Comparable<SAParagraphNumber>

      public final class SAParagraphNumberSP
      extends SAParagraphNumber

  A paragraph number consisting of a section, and paragraph.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAParagraphNumberSP(int in_section, int in_paragraph)` Construct a new paragraph number

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(SAParagraphNumber o)`
    `boolean` | `equals(Object obj)`
    `int` | `getParagraph()`
    `int` | `getSection()`
    `int` | `hashCode()`
    `<T> T` | `paragraphNumberAccept(SAParagraphNumberVisitor<T> v)` Accept a paragraph number visitor.
    `String` | `paragraphNumberFormat()`
    `String` | `toString()`

    - ### Methods inherited from class com.io7m.jstructural.annotated.SAParagraphNumber

      `subsectionContentNumberAccept`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SAParagraphNumberSP

          public SAParagraphNumberSP(int in_section,
                             int in_paragraph)
                              throws com.io7m.jaux.Constraints.ConstraintError

      Construct a new paragraph number
      Parameters:
        `in_section` - The section number
        `in_paragraph` - The paragraph number
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If any parameter is outside of the range `[1, `Integer.MAX_VALUE`]`

  - ### Method Detail

    - #### compareTo

          public int compareTo(SAParagraphNumber o)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getParagraph

          public int getParagraph()

      Specified by:
        `getParagraph` in class `SAParagraphNumber`
      Returns:
        The paragraph number

    - #### getSection

          public int getSection()

      Returns:
        The section number

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### paragraphNumberAccept

          public <T> T paragraphNumberAccept(SAParagraphNumberVisitor<T> v)
                                  throws com.io7m.jaux.Constraints.ConstraintError,
                                         Exception

      Description copied from class: `SAParagraphNumber`
      Accept a paragraph number visitor.
      Specified by:
        `paragraphNumberAccept` in class `SAParagraphNumber`
      Type Parameters:
        `T` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If the visitor raises `Constraints.ConstraintError`
        `Exception` - If the visitor raises an `Exception`

    - #### paragraphNumberFormat

          public String paragraphNumberFormat()

      Specified by:
        `paragraphNumberFormat` in class `SAParagraphNumber`
      Returns:
        A human-readable string representing the paragraph number (such as "1.2.3.4")

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All rights reserved.